diff --git a/.gitmodules b/.gitmodules
index 3357a51f2d529a2b50e63d59b3b05e4aa5ba91e0..c8c395c2e7519e136f8775d2eb57d39484b03697 100644
--- a/.gitmodules
+++ b/.gitmodules
@@ -1,6 +1,6 @@
 [submodule "dist/desktop"]
 	path = dist/desktop
 	url = git@git.duniter.org:clients/cesium-grp/cesium-desktop.git
-#[submodule "android"]
-#	path = platforms/android
-#	url = git@git.duniter.org:clients/cesium-grp/cesium-android.git
+[submodule "android"]
+	path = platforms/android
+	url = git@git.duniter.org:clients/cesium-grp/cesium-android.git
diff --git a/scripts/release.sh b/scripts/release.sh
index 5e27412e07d4e47076cbd8e9f8ff2383c31dfab8..6981ad4554d821bb72e63dc173922b635a6164d7 100755
--- a/scripts/release.sh
+++ b/scripts/release.sh
@@ -77,12 +77,19 @@ if [[ $? -ne 0 ]]; then
   exit 1
 fi
 
+cd ${PROJECT_DIR}
+git submodule init && git submodule sync && git submodule update --remote --merge
+if [[ $? -ne 0 ]]; then
+  echo "Unable to sync git submodule. Could not build desktop version"
+  exit 1
+fi
+
 echo "----------------------------------"
 echo "- Compiling sources..."
 echo "----------------------------------"
-# Compile
 gulp config build --env default_fr
 
+
 echo "----------------------------------"
 echo "- Building Android artifact..."
 echo "----------------------------------"
@@ -96,6 +103,7 @@ if [[ -f "${APK_RELEASE_FILE}" ]]; then
   cp ${APK_RELEASE_FILE} ${DIST_ANDROID}/${PROJECT_NAME}-v${current}-android.apk
 fi;
 
+
 echo "----------------------------------"
 echo "- Building web artifact..."
 echo "----------------------------------"
@@ -104,6 +112,7 @@ if [[ $? -ne 0 ]]; then
   exit 1
 fi
 
+
 echo "----------------------------------"
 echo "- Executing git push, with tag: v$2"
 echo "----------------------------------"
@@ -127,13 +136,15 @@ if [[ $? -ne 0 ]]; then
 fi
 
 # Commit android project
-#cd ${PROJECT_DIR}/platforms/android
-#git reset HEAD
-#git add -A
-#git commit -m "v$2" && git tag "v$2" && git push
-#if [[ $? -ne 0 ]]; then
-#  exit 1
-#fi
+cd ${PROJECT_DIR}/platforms/android
+git reset HEAD
+git add -A
+git commit -m "v$2"
+git tag -f -a "v$2" -m "${description}"
+git push origin "v$2"
+if [[ $? -ne 0 ]]; then
+  exit 1
+fi
 
 echo "**********************************"
 echo "* Uploading artifacts to Github..."
@@ -152,11 +163,6 @@ echo "----------------------------------"
 echo "- Building desktop artifacts..."
 echo "----------------------------------"
 
-git submodule init && git submodule sync && git submodule update --remote --merge
-if [[ $? -ne 0 ]]; then
-  echo "Unable to sync git submodule. Could not build desktop version"
-  exit 1
-fi
 
 if [[ -d "${PROJECT_DIR}/dist/desktop" ]]; then
   cd "${PROJECT_DIR}/dist/desktop"